# lugins/osg/Texture.cpp File Reference

`#include <osg/Texture>`
`#include <osg/Notify>`
`#include <osgDB/Registry>`
`#include <osgDB/Input>`
`#include <osgDB/Output>`

Include dependency graph for lugins/osg/Texture.cpp:

## Functions

bool | Texture_readLocalData (Object &obj, Input &fr)
bool | Texture_writeLocalData (const Object &obj, Output &fw)
bool | Texture_matchWrapStr (const char *str, Texture::WrapMode &wrap)
const char * | Texture_getWrapStr (Texture::WrapMode wrap)
bool | Texture_matchFilterStr (const char *str, Texture::FilterMode &filter)
const char * | Texture_getFilterStr (Texture::FilterMode filter)
bool | Texture_matchInternalFormatModeStr (const char *str, Texture::InternalFormatMode &mode)
const char * | Texture_getInternalFormatModeStr (Texture::InternalFormatMode mode)
bool | Texture_matchInternalFormatStr (const char *str, int &value)
const char * | Texture_getInternalFormatStr (int value)

## Variables

RegisterDotOsgWrapperProxy | g_TextureProxy (0,"TextureBase","Object StateAttribute TextureBase",&Texture_readLocalData,&Texture_writeLocalData)

## Function Documentation

const char * Texture_getFilterStr | ( | Texture::FilterMode | filter | ) |

const char * Texture_getInternalFormatModeStr | ( | Texture::InternalFormatMode | mode | ) |

const char * Texture_getInternalFormatStr | ( | int | value | ) |

const char * Texture_getWrapStr | ( | Texture::WrapMode | wrap | ) |

bool Texture_matchFilterStr | ( | const char * | str,
|  | Texture::FilterMode & | filter
| ) |

bool Texture_matchInternalFormatModeStr | ( | const char * | str,
|  | Texture::InternalFormatMode & | mode
| ) |

bool Texture_matchInternalFormatStr | ( | const char * | str,
|  | int & | value
| ) |

bool Texture_matchWrapStr | ( | const char * | str,
|  | Texture::WrapMode & | wrap
| ) |

bool Texture_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool Texture_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_TextureProxy(0,"TextureBase","Object StateAttribute TextureBase",&Texture_readLocalData,&Texture_writeLocalData)